Candidate revision debhelper 8.1.1ubuntu1

Bug #716844 reported by أحمد المحمودي (Ahmed El-Mahmoudy) on 2011-02-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debhelper (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: debhelper

debhelper (8.1.1ubuntu1) natty; urgency=low

  * Merge with Debian ; remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - add dh_apparmor and autoscripts
    - debian/rules: override build target to set executable bit for
      dh_apparmor before actually running dh build, that is in order to get
      the manpage built for dh_apparmor.
  * Dropped changes that got fixed upstream:
    - dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
      triplet-strip from cross-binutils when cross-compiling; Debian #412118.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <email address hidden> Fri, 11 Feb 2011 06:38:43 +0200

debhelper (8.1.1) unstable; urgency=low

  * dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
    triplet-strip from cross-binutils when cross-compiling; Closes: #412118.
    (Thanks, Loïc Minier)
  * Improve handling of logging in override targets, so that
    --remaining-packages can be used again. Now all debhelper commands run
    in the override target are marked as running as part of the override,
    and when the whole target is run, the log is updated to indicate that
    commands run during the override have finished. Closes: #612828

 -- Joey Hess <email address hidden> Thu, 10 Feb 2011 19:58:34 -0400

Related branches

Debdiff against debhelper 8.1.1

Changed in debhelper (Ubuntu):
status: New → Confirmed

Debdiff against debhelper 8.1.1

Colin Watson (cjwatson) wrote :

Thanks! Sponsoring.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debhelper - 8.1.1ubuntu1

---------------
debhelper (8.1.1ubuntu1) natty; urgency=low

  * Merge with Debian (LP: #716844); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - add dh_apparmor and autoscripts
    - debian/rules: override build target to set executable bit for
      dh_apparmor before actually running dh build, that is in order to get
      the manpage built for dh_apparmor.
  * Dropped changes that got fixed upstream:
    - dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
      triplet-strip from cross-binutils when cross-compiling; Debian #412118.

debhelper (8.1.1) unstable; urgency=low

  * dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
    triplet-strip from cross-binutils when cross-compiling; Closes: #412118.
    (Thanks, Loïc Minier)
  * Improve handling of logging in override targets, so that
    --remaining-packages can be used again. Now all debhelper commands run
    in the override target are marked as running as part of the override,
    and when the whole target is run, the log is updated to indicate that
    commands run during the override have finished. Closes: #612828
 -- ALEFHAHMEEMDAL ALEFLAMMEEMHAHMEEMWAWDALYEH (Ahmed El-Mahmoudy) <email address hidden> Fri, 11 Feb 2011 06:38:43 +0200

Changed in debhelper (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers